@ECHO OFF
IF [%1]==[] GOTO HELP0
GOTO %1
rem
rem  --------------------------------------------------------------------------
rem    Program MIDITEX.BAT
rem  --------------------------------------------------------------------------
rem
rem  MIDITEX jest programem uzupelniajacym program MINITEX z archiwum
rem  MINITEX.ZIP o instalacje dodatkowych skladnikow pakietu emTeX.
rem
rem  MIDITEX jest przystosowany do wspolpracy z nosnikiem danych o
rem  strukturze katalogow zgodnej ze specyfikacja CTAN, np. CD-ROM TeX Live 3.
rem
rem  MIDITEX rozpakowuje archiwa do katalogu C:\MIDITEX\.
rem
rem  Zawartosc katalogu C:\MIDITEX\ mozna przeniesc do katalogu C:\MINITEX\ w
rem  celu uzyskania w pelni funkcjonalnej wersji pakietu emTeX lub spakowac,
rem  tworzac druga dyskietke przenosnej, dwudyskietkowej wersji systemu emTeX.
rem
rem  --------------------------------------------------------------------------
rem    Domyslne warunki instalacji
rem  --------------------------------------------------------------------------
rem
rem  Pliki zrodlowe w katalogach zgodnych ze specyfikacja CTAN (p. nizej).
rem
rem  Instalacja pakietu emTeX do katalogu: C:\MIDITEX\EMTEX\.
rem
rem  Dla innych warunkow instalacji nalezy dokonac odpowiednich modyfikacji
rem  w skladni polecen.
rem
rem  --------------------------------------------------------------------------
rem    Niezbedne programy i pliki
rem  --------------------------------------------------------------------------
rem
rem  Do rozpakowania archiwow potrzebny jest program dearchiwizujacy UNZIP.EXE
rem  widoczny w domyslnej sciezce dostepu.
rem
rem  Do instalacji uzupelnienia pakietu emTeX niezbedne sa pliki:
rem
rem      BIBTEX4B.ZIP
rem      DVID16G2.ZIP
rem      DVISP10B.ZIP
rem      GERMAN.ZIP
rem      L2BASE.ZIP
rem      L2TOOLS.ZIP
rem      MAKEINDX.ZIP
rem      MFJOB12D.ZIP
rem      PICTEX.ZIP
rem      TEXCAD.ZIP
rem
rem  Te pliki powinny znajdowac sie w katalogu E:\SYSTEMS\MSDOS\EMTEX\.
rem
rem  Pliki te sa dostepne w archiwum ftp.gust.org.pl lub na serwerach CTAN.
rem
rem  W razie zmiany nazw nowych wersji plikow, nalezy dokonac odpowiednich
rem  modyfikacji w tresci programu.
rem
rem  --------------------------------------------------------------------------
rem    Rozpakowywanie uzupelnienia pakietu emTeX
rem  --------------------------------------------------------------------------
rem
rem  UWAGA: Instalacja powinna byc przeprowadzana z poziomu systemu
rem  operacyjnego, bez uruchomionej zadnej nakladki.
rem
rem  Rozpakowanie uzupelnienia pakietu emTeX przeprowadza sie wydajac
rem  polecenie:
rem
rem      MIDITEX UNZIP
rem
rem  MIDITEX rozpakowuje archiwa do katalogu C:\MIDITEX\.
rem
rem  Zawartosc katalogu C:\MIDITEX\ mozna przeniesc do katalogu C:\MINITEX\ w
rem  celu uzyskania w pelni funkcjonalnej wersji pakietu emTeX.
rem
rem  --------------------------------------------------------------------------
rem    Konfiguracja uzupelnienia pakietu emTeX
rem  --------------------------------------------------------------------------
rem
rem  UWAGA: Instalacja powinna byc przeprowadzana z poziomu systemu
rem  operacyjnego, bez uruchomionej zadnej nakladki.
rem
rem  Konfiguracje uzupelnienia pakietu emTeX przeprowadza sie po rozpakowaniu
rem  i konfiguracji wersji MINITEX oraz uzupelnieniu jej o archiwa wersji
rem  MIDITEX.
rem
rem  Konfiguracje uzupelnienia pakietu emTeX przeprowadza sie wydajac
rem  polecenie:
rem
rem      MIDITEX CONFIG
rem
rem  Rozpakowanie i konfiguracja pakietu emTeX programem MINITEX oraz
rem  uzupelnienie go programem MIDITEX zabiera okolo 10.150.000 bajtow.
rem
rem  Na komputerach z koprocesorem, po instalacji mozna zmienic parametry
rem  `dviscr', `dvihplj' i `dvidot' w plikach V.BAT, PRT*.BAT i PCX*.BAT na
rem  `dviscr7', `dvihplj7' i `dvidot7'.
rem
rem  --------------------------------------------------------------------------
rem    Przenosna wersja pakietu emTeX
rem  --------------------------------------------------------------------------
rem
rem  Druga dyskietke dwudyskietkowej wersji pakietu emTeX mozna utworzyc:
rem
rem   1. Rozpakowujac archiwa poleceniem:
rem
rem      MIDITEX UNZIP
rem
rem   2. Tworzac z poziomu katalogu C:\MIDITEX samorozpakowujace sie archiwum
rem      poleceniem:
rem
rem      RAR A -S -DS -M5 -R -TL -SFX MIDITEX
rem
rem   3. Zakladajac na dyskietce plik INSTALL2.BAT o tresci:
rem
rem      @ECHO OFF
rem      IF NOT EXIST C:\MINITEX\NUL GOTO HELP
rem      C:
rem      CD \
rem      CD MINITEX
rem      A:\MIDITEX
rem      GOTO END
rem      :HELP
rem      ECHO Rozpakuj i skonfiguruj archiwa programem MINITEX.
rem      :END
rem
rem   4. Kopiujac na dyskietke utworzone samorozpakowujace sie archiwum o
rem      nazwie:
rem
rem      MIDITEX.EXE
rem
rem  Instalacje uzupelnienia przenosnej wersji pakietu emTeX przeprowadza sie
rem  wydajac polecenie:
rem
rem      A:\INSTALL2
rem
rem  W razie potrzeby zainstalowania przenosnej wersji pakietu emTeX w innym
rem  katalogu lub na innym dysku, nalezy przed uruchomieniem programu INSTALL2
rem  zmodyfikowac jego tresc.
rem
rem  --------------------------------------------------------------------------
rem    Generowanie biblioteki fontow
rem  --------------------------------------------------------------------------
rem
rem  Pomoc do generowania biblioteki polskich i standardowych fontow wyswietla
rem  polecenie:
rem
rem      MIDITEX HELP
rem
rem  Pomoc opisuje generowanie fontow dla drukarki domyslnej: HP LaserJet lub
rem  DeskJet, 600 DPI -- dla innej drukarki nalezy zmienic parametry
rem  wywolywania polecen:
rem
rem      Drukarka                                  Tryb     Prefiks  Rozdz.
rem      -------------------------------------------------------------------
rem      Canon BubbleJet (360 DPI)                 bj       bj       360
rem      HP DeskJet (300 DPI)                      dj       dj       300
rem      Fax (204x196 DPI)                         FAX      fax      204
rem      9-pin printers (240x216 DPI)              fx       fx       240
rem      C.ITOH 8510A (160x144 DPI)                ito      ito      160
rem      HP LaserJet (300 DPI)                     lj       lj       300
rem      HP LaserJet i DeskJet (600 DPI)           ljh      ljh      600
rem      24-pin printers (360 DPI)                 lqh      p6h      360
rem      24-pin printers (180 DPI)                 lql      p6l      180
rem      24-pin printers (360x180 DPI)             lqm      p6m      360
rem      HP QuietJet (192 DPI)                     qj       qj       192
rem      EPSON Stylus 800 (360 DPI)                sty      sty      360
rem
rem  Generujac polskie i standardowe fonty, nalezy zmienic parametr `Tryb':
rem
rem      mfjob polski m=`Tryb'
rem      mfjob base m=`Tryb'
rem
rem  Generujac biblioteki fontow i testujac je, nalezy zmienic parametry
rem  `Prefiks' i `Rozdzielczosc':
rem
rem      cd c:\minitex\texfonts
rem      fli_base `Prefiks' `Rozdzielczosc' c:\minitex\texfonts
rem      fontlib /t `Prefiks'_base
rem      fontlib /c `Prefiks'_more
rem
rem  Wlasciwe parametry dla poszczegolnych typow drukarek podaje powyzsza
rem  tabela.
rem
rem  --------------------------------------------------------------------------
rem    Warunki licencji
rem  --------------------------------------------------------------------------
rem
rem  MIDITEX.BAT jest dobrem wspolnym (public domain) i nie ma zadnej
rem  gwarancji.
rem
rem  Mozna go przystosowywac do wlasnych potrzeb, ale zabrania sie
rem  rozprowadzania go pod nazwa MIDITEX w wersji innej niz oryginalna.
rem
rem  --------------------------------------------------------------------------
rem    Autor
rem  --------------------------------------------------------------------------
rem
rem  Cezary M. Kruk, ul. Zielonogorska 7 m. 2, 53-617 Wroclaw, (0-71) 556794
rem
rem  e-mail: c.kruk@adm.uni.wroc.pl
rem


:UNZIP

rem  --------------------------------------------------------------------------
rem    Rozpakowywanie uzupelnienia pakietu emTeX
rem  --------------------------------------------------------------------------

:TEST1

     for %%d in (%PATH%) do if exist %%d\unzip.exe goto TEST2
     goto WARNING

:TEST2

     if not exist e:\systems\msdos\emtex\l2tools.zip goto WARNING

:START1

rem  Utworzenie katalogu docelowego

     md c:\miditex

rem  Kopiowanie plikow MIDITEX.BAT i POLSKI.MFJ

     copy miditex.bat c:\miditex > nul
     copy polski.mfj c:\miditex > nul

rem  Przejscie na dysk zrodlowy

     e:

rem  Przejscie do katalogu zrodlowego

     cd \systems\msdos\emtex

:UNZIP1

:BIBTEX4B

     echo Rozpakowanie archiwum BIBTEX4B.ZIP...
     unzip -o bibtex4b.zip *.bib -d c:\miditex\ > nul
     unzip -o bibtex4b.zip *.bst -d c:\miditex\ > nul
     unzip -o bibtex4b.zip emtex\bibtex\bst\btxbst.doc -d c:\miditex\ > nul
     unzip -o bibtex4b.zip emtex\doc\bibtex.doc -d c:\miditex\ > nul
     unzip -o bibtex4b.zip emtex\bin\bibtex32.exe -d c:\miditex\ > nul
     unzip -o bibtex4b.zip *.tex -d c:\miditex\ > nul

:DVID16G2

     echo Rozpakowanie archiwum DVID16G2.ZIP...
     unzip -o dvid16g2.zip emtex\data\fontlist -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\bin\fli_base.bat -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\doc\english\fontlib.doc -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\doc\english\pcltomsp.doc -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\bin\fontlib.exe -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\bin\pcltomsp.exe -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\bin\dviscr7.exe -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\bin\dvihplj7.exe -d c:\miditex\ > nul
     unzip -o dvid16g2.zip emtex\bin\dvidot7.exe -d c:\miditex\ > nul

:DVISP10B

     echo Rozpakowanie archiwum DVISP10B.ZIP...
     unzip -o dvisp10b.zip emtex\doc\english\dvispell.doc -d c:\miditex\ > nul
     unzip -o dvisp10b.zip *.dsi -d c:\miditex\ > nul
     unzip -o dvisp10b.zip emtex\doc\dvisprep.doc -d c:\miditex\ > nul
     unzip -o dvisp10b.zip *.exe -d c:\miditex\ > nul

:GERMAN

     echo Rozpakowanie archiwum GERMAN.ZIP...
     unzip -o german.zip emtex\dist\german\00readme -d c:\miditex\ > nul
     unzip -o german.zip emtex\dist\german\german.dtx -d c:\miditex\ > nul
     unzip -o german.zip emtex\dist\german\german.ins -d c:\miditex\ > nul
     unzip -o german.zip emtex\texinput\german\german.sty -d c:\miditex\ > nul
     unzip -o german.zip emtex\texinput\german\germdoc.tex -d c:\miditex\ > nul
     unzip -o german.zip emtex\texinput\german\ghyph31.tex -d c:\miditex\ > nul

:L2BASE

     echo Rozpakowanie archiwum L2BASE.ZIP...
     unzip -o l2base.zip *.tex -d c:\miditex\ > nul

:L2TOOLS

     echo Rozpakowanie archiwum L2TOOLS.ZIP...
     unzip -o l2tools.zip *.dtx -d c:\miditex\ > nul
     unzip -o l2tools.zip emtex\dist\latex\packages\tools\tools.ins -d c:\miditex\ > nul
     unzip -o l2tools.zip emtex\dist\latex\packages\tools\manifest.txt -d c:\miditex\ > nul
     unzip -o l2tools.zip emtex\dist\latex\packages\tools\readme.txt -d c:\miditex\ > nul

:MAKEINDX

     echo Rozpakowanie archiwum MAKEINDX.ZIP...
     unzip -o makeindx.zip emtex\doc\makeindx.doc -d c:\miditex\ > nul
     unzip -o makeindx.zip emtex\bin\mkidx32.exe -d c:\miditex\ > nul
     unzip -o makeindx.zip emtex\texinput\latex209\makeindx.tex -d c:\miditex\ > nul

:MFJOB12D

     echo Rozpakowanie archiwum MFJOB12D.ZIP...
     unzip -o mfjob12d.zip emtex\mfjob\all.mfj -d c:\miditex\ > nul
     unzip -o mfjob12d.zip emtex\mfjob\base.mfj -d c:\miditex\ > nul
     unzip -o mfjob12d.zip emtex\mfjob\modes.mfj -d c:\miditex\ > nul

:PICTEX

     echo Rozpakowanie archiwum PICTEX.ZIP...
     unzip -o pictex.zip *.tex -d c:\miditex\ > nul

:TEXCAD

     echo Rozpakowanie archiwum TEXCAD.ZIP...
     unzip -o texcad.zip *.bgi -d c:\miditex\ > nul
     unzip -o texcad.zip emtex\doc\english\texcad.doc -d c:\miditex\ > nul
     unzip -o texcad.zip emtex\doc\english\tcman.dvi -d c:\miditex\ > nul
     unzip -o texcad.zip emtex\bin\texcad.exe -d c:\miditex\ > nul
     unzip -o texcad.zip emtex\texinput\etc\*.sty -d c:\miditex\ > nul

:UNZIP2

rem  Utworzenie katalogow docelowych

     if not exist c:\miditex\emtex\doc\polski md c:\miditex\emtex\doc\polski

:COPY2

rem Kopiowanie pliku POLSKI.MFJ

     copy c:\miditex\polski.mfj c:\miditex\emtex\mfjob > nul

rem Usuniecie pliku POLSKI.MFJ

     del c:\miditex\polski.mfj

:STOP1

rem  Przejscie na dysk docelowy

     c:

rem  Przejscie do katalogu docelowego

     cd c:\miditex

     echo.
     echo Rozpakowywanie uzupelnienia pakietu emTeX zakonczone.
     echo.

goto END


:CONFIG

rem  --------------------------------------------------------------------------
rem    Konfiguracja uzupelnienia pakietu emTeX
rem  --------------------------------------------------------------------------

:TEST2

     if not exist c:\minitex\emtex\texinput\polski\platex\platex.ins goto WARNING1
     if not exist c:\minitex\emtex\btexfmts\platex.fmt goto WARNING2
     if not exist emtex\btexfmts\platex.fmt goto WARNING3

:START2

rem  Przejscie na dysk docelowy

     c:

:SET0

rem  Ustawienie zmiennych systemowych dla pakietu emTeX

     set emtexdir=c:\minitex\emtex
     set emx=c:\minitex\emx\bin\emx.exe
     set emxtmp=%temp%
     set texinput=c:\minitex\emtex\texinput!!
     set dvidrvfonts=c:\minitex\texfonts;.
     set textfm=c:\minitex\emtex\tfm!;.
     set mfjobopt=/3

:SETPATH

rem  Ustawienie zmiennej systemowej PATH i OLDPATH

     if not [%oldpath%]==[] set path=%oldpath%
     set oldpath=%path%
     set path=%path%;c:\minitex\emtex\bin

:OT1CMR

rem  `Polonizacja' formatu LaTeX2e

     if not exist c:\minitex\emtex\texinput\polski\platex\ot1cmr.fd goto LATEX2E
     copy c:\minitex\emtex\texinput\polski\platex\*.fd c:\minitex\emtex\texinput\latex2e > nul
     del c:\minitex\emtex\texinput\polski\platex\*.fd

:LATEX2E

rem  Przejscie do katalogu z formatami

     cd c:\minitex\emtex\btexfmts

rem  Generowanie formatu LATEX2E

     call makefmt 386 latex2e US German 8bit -f latex2e -b c:\minitex\emtex\bin\latex2e -e

:L2ETOOLS

rem Przejscie do katalogu zrodlowego

     cd c:\minitex\emtex\dist\latex\packages\tools

rem Generowanie narzedzi dla formatu LaTeX2e

     call latex2e tools.ins

rem  Kopiowanie plikow do katalogow docelowych

     copy *.tex c:\minitex\emtex\texinput\latex2e > nul
     copy *.sty c:\minitex\emtex\texinput\latex2e > nul

rem  Usuwanie oryginalow plikow

     del *.tex > nul
     del *.sty > nul

:CMBAS

rem  Przejscie do katalogu z formatami

     cd c:\minitex\emtex\bmfbases

rem  Generowanie formatu CMBAS

     call makebas 386 cm

:STOP2

rem  Przejscie do katalogu docelowego

     cd c:\minitex

     echo.
     echo Konfiguracja uzupelnienia pakietu emTeX zakonczona.
     echo.

goto END


rem  --------------------------------------------------------------------------
rem    Procedury wyswietlajace informacje
rem  --------------------------------------------------------------------------

:HELP0
echo.
echo MIDITEX instaluje uzupelnienie pakietu emTeX w katalogu C:\MIDITEX\.
echo.
echo   MIDITEX [TYPE] [UNZIP] [CONFIG] [HELP]
echo.
echo     TYPE   -- wyswietla tresc pliku MIDITEX.BAT.
echo     UNZIP  -- rozpakowuje archiwa uzupelnienia pakietu emTeX.
echo     CONFIG -- konfiguruje uzupelniony pakiet.
echo     HELP   -- wyswietla uzupelnienie do wprowadzenia do pracy z pakietem.
echo.
goto END

:HELP
cls
echo.
echo Przed rozpoczeciem pracy z pakietem emTeX nalezy wydac polecenie:
echo.
echo     C:\MINITEX\SET_TEX
echo.
echo.
echo Anglo- i miemieckojezyczne pliki przetwarza sie do postaci DVI poleceniem:
echo.
echo     LATEX2E PLIK
echo.
echo.
echo Pliki DVI wyswietla sie poleceniem:
echo.
echo     V PLIK
echo.
echo.
echo Pliki DVI drukuje sie poleceniem:
echo.
echo     PRT* PLIK
echo.
echo (n.p.: PRTHPLJH dla drukarki HP LaserJet lub DeskJet, 600 DPI).
pause > nul
cls
echo.
echo Do generowania fontow nalezy zmienic parametr `target' w MODES.MFJ:
echo.
echo     def target=[c:\minitex\texfonts];
echo.
echo Generowanie polskich fontow (drukarka, jak wyzej):
echo.
echo     mfjob polski m=ljh
echo.
echo Generowanie standardowych fontow (drukarka, jak wyzej):
echo.
echo     mfjob base m=ljh
echo.
echo Generowanie podstawowej biblioteki fontow i test (drukarka, jak wyzej):
echo.
echo     cd c:\minitex\texfonts
echo     fli_base ljh 600 c:\minitex\texfonts
echo     fontlib /t ljh_base
echo.
echo Generowanie dodatkowej biblioteki fontow (drukarka, jak wyzej):
echo.
echo     fontlib /c ljh_more
echo.
echo Katalogi LOG, TFM i PIXEL.* nalezy usunac wraz z zawartoscia.
pause > nul
goto END

:TYPE
more < miditex.bat
goto END

:WARNING1
echo.
echo Zainstaluj MINITEX.
echo.
goto END

:WARNING2
echo.
echo Skonfiguruj MINITEX.
echo.
goto END

:WARNING3
echo.
echo Przenies C:\MIDITEX\*.* do C:\MINITEX\*.*.
echo.
goto END

:WARNING
echo.
echo Przeczytaj plik MIDITEX.BAT.
echo.

:END

